# Class ChromosomeSimpleName

java.lang.Object
org.snpeff.interval.ChromosomeSimpleName

public class ChromosomeSimpleName extends Object
Convert chromosome names to simple names

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`CHROMO_PREFIX`

## Method Summary

Modifier and Type
Method
Description
`static String`
`get(String chrName)`
Get a simple name for the chromosome
`protected String`
`simpleName(String chr)`
Simplify chromosome name
`protected String`
`simpleNameCache(String chrName)`
Query cache before simplifying name

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CHROMO_PREFIX

public static final String[] CHROMO_PREFIX

## Method Details

### get

public static String get(String chrName)
Get a simple name for the chromosome

### simpleName

protected String simpleName(String chr)
Simplify chromosome name

### simpleNameCache

protected String simpleNameCache(String chrName)
Query cache before simplifying name